require_relative 'base'
require 'json'

class Invoice < Base

  def create_invoice(data)
    base_url = petra_object.base_url
    required_parameters = ["email","amount"]
    check_passed_parameters(required_parameters, data)
    response = post_request("#{base_url}/invoice", data)
    return response
  end

  def get_invoices(page =1 ,per_page =50)
    base_url = petra_object.base_url
    response = get_request("#{base_url}/invoice?perPage=#{per_page}&page=#{page}")
    return response
  end

  def get_invoice(id)
    base_url = petra_object.base_url
    response = get_request("#{base_url}/invoice/#{id}")
    return response
  end

  def archive_invoice(id)
    base_url = petra_object.base_url
    response = get_request("#{base_url}/invoice/archive/#{id}")
    return response
  end

  def send_notification(id)
    base_url = petra_object.base_url
    payload = {}
    response = post_request("#{base_url}/invoice/notify/#{id}", payload)
    return response
  end
end
